<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: socket</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: socket</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>
            <span class="ancestors"><a href="data.handler.html">.handler</a>.</span>socket<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>Socket.io class</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="socket"><span class="type-signature"></span>new socket<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line72">line 72</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="emit"><span class="type-signature"></span>emit<span class="signature">(messageID)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Fires a callback on incoming message</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>messageID</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>string identifier out signal.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line88">line 88</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="on"><span class="type-signature"></span>on<span class="signature">(messageID)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Fires a callback on incoming message</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>messageID</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>string identifier input signal.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line79">line 79</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-audio-element.html">audio-element</a></li><li><a href="module-data_selector.html">data_selector</a></li><li><a href="module-handleModelData.html">handleModelData</a></li><li><a href="module-index.html">index</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.startFileExample.html">startFileExample</a></li><li><a href="data.dataviz.html">dataviz</a></li><li><a href="data.dataviz.socketevent.html">socketevent</a></li><li><a href="data.handler.html">handler</a></li><li><a href="data.insertRow.html">insertRow</a></li></ul><h3>Classes</h3><ul><li><a href="data.handler.d3.html">d3</a></li><li><a href="data.handler.selection.html">selection</a></li><li><a href="data.handler.socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="data.dataviz.html#.event:socketOnThermdata">socketOnThermdata</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Mon Jul 12 2021 16:38:08 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>